#include <iostream>
using namespace std;
int main(){
long long n,d,k,doD=0,brnapraveniskoka=0,suma=1,i=1;
cin>>n>>d>>k;
while(brnapraveniskoka<k){
    while(doD<d){
        doD++;
        if(i==n){
            i=1;
        }else{
            i++;
        }
    }
    doD=0;
    suma=suma+i;
    brnapraveniskoka++;
}
cout<<suma<<endl;
return 0;
}
